package org.gcube.data.access.accounting.summary.access.test;

import org.gcube.accounting.accounting.summary.access.impl.ContextTreeProvider;
import org.gcube.accounting.accounting.summary.access.model.ScopeDescriptor;

public class DummyContextTreeProvider implements ContextTreeProvider {

	
	@Override
	public ScopeDescriptor getTree(Object context) {
		ScopeDescriptor toReturn=new ScopeDescriptor("Portal", "portale");
		ScopeDescriptor group1=new ScopeDescriptor("Group1","group1");
		group1.getChildren().add(new ScopeDescriptor("BlueBridge Project", "/d4science.research-infrastructures.eu/gCubeApps/BlueBridgeProject"));
		toReturn.getChildren().add(group1);
		ScopeDescriptor group2=new ScopeDescriptor("Group2","group2");
		group2.getChildren().add(new ScopeDescriptor("Biodiversity Lab","/d4science.research-infrastructures.eu/gCubeApps/BiodiversityLab"));
		group2.getChildren().add(new ScopeDescriptor("IOTC SS3","/d4science.research-infrastructures.eu/gCubeApps/IOTC_SS3"));
		toReturn.getChildren().add(group2);
		toReturn.getChildren().add(new ScopeDescriptor("Fao Tuna Atlas","/d4science.research-infrastructures.eu/gCubeApps/FAO_TunaAtlas"));
		return toReturn;
	}
}
